aboutsummaryrefslogtreecommitdiff
path: root/libexec/recit-recsel-entries
diff options
context:
space:
mode:
authorJulio Capote <jcapote@gmail.com>2022-08-21 15:30:42 +0000
committerJulio Capote <jcapote@gmail.com>2022-08-21 15:30:42 +0000
commita44d810632cb9b9527b6b220d486cea577802c72 (patch)
tree912a6da9ec6ec2e6e28ec064e0d7b6981e167e41 /libexec/recit-recsel-entries
parente8910ecd98488bc2dcc82389a82b14ca2361617a (diff)
downloadrecit-a44d810632cb9b9527b6b220d486cea577802c72.tar.gz
move recsel calls to its own file
Diffstat (limited to 'libexec/recit-recsel-entries')
-rwxr-xr-xlibexec/recit-recsel-entries14
1 files changed, 14 insertions, 0 deletions
diff --git a/libexec/recit-recsel-entries b/libexec/recit-recsel-entries
new file mode 100755
index 0000000..5b6070a
--- /dev/null
+++ b/libexec/recit-recsel-entries
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+set -e
+
+# shellcheck source=/dev/null
+source lib/loader
+
+recfile=$(load_recit)
+
+if [[ "$1" = "" ]]; then
+ out=$(recsel -t Entry "${recfile}" | recfmt -f share/recit/templates/entries.templ)
+else
+ out=$(recsel -t Entry "${recfile}" -e "$1" | recfmt -f share/recit/templates/entries.templ)
+fi
+echo -e "$out"